////////////////////////////////////////////////////////////////////////////////
// Filename: lightclass.cpp
////////////////////////////////////////////////////////////////////////////////
#include "light_class.h"


light_class::light_class()
{
}


light_class::light_class(const light_class& other)
{
}


light_class::~light_class()
{
}

void light_class::SetAmbientColor(float red, float green, float blue, float alpha)
{
	m_ambientColor = XMFLOAT4(red, green, blue, alpha);
	return;
}



void light_class::SetDiffuseColor(float red, float green, float blue, float alpha)
{
    m_diffuseColor = XMFLOAT4(red, green, blue, alpha);
    return;
}


void light_class::SetDirection(float x, float y, float z)
{
    m_direction = XMFLOAT3(x, y, z);
    return;
}

void light_class::SetSpecularColor(float red, float green, float blue, float alpha)
{
    m_specularColor = XMFLOAT4(red, green, blue, alpha);
    return;
}


void light_class::SetSpecularPower(float power)
{
    m_specularPower = power;
    return;
}

void light_class::SetPosition(float x, float y, float z)
{
    m_position = XMFLOAT4(x, y, z, 1.0f);
    return;
}

XMFLOAT4 light_class::GetAmbientColor()
{
	return m_ambientColor;
}


XMFLOAT4 light_class::GetDiffuseColor()
{
    return m_diffuseColor;
}

XMFLOAT3 light_class::GetDirection()
{
    return m_direction;
}

XMFLOAT4 light_class::GetSpecularColor()
{
    return m_specularColor;
}


float light_class::GetSpecularPower()
{
    return m_specularPower;
}

XMFLOAT4 light_class::GetPosition()
{
    return m_position;
}
